import 'package:flutter/material.dart';
import 'package:hub/flutter_flow/flutter_flow_theme.dart';
import 'package:hub/flutter_flow/nav/nav.dart';

class LoadingUtil {
  static Widget buildLoadingIndicator(BuildContext context) {
    return Center(
      child: Padding(
        padding: EdgeInsets.only(top: MediaQuery.of(context).size.height / 10),
        child: CircularProgressIndicator(
          backgroundColor: FlutterFlowTheme.of(navigatorKey.currentContext!)
              .primaryBackground,
          color: FlutterFlowTheme.of(navigatorKey.currentContext!).primary,
        ),
      ),
    );
  }
}
